import inquirer from 'inquirer';
import { serviceController, commandController } from './controllers/services.mjs'

const mainMenu = async () => {

    let answers = await inquirer.prompt([{
        type: "list",
        name: "menu",
        message: `
                                         
        Momiji CLI (PureL1Rollup Sepolia Technical Preview #1)

        Balance: ${await serviceController.balance()}

        \x1b[31m${serviceController.error}\x1b[0m
        
        Select an option:\n`,
        choices: [
            {
                value: 'd',
                name: "\tGENERATE ZKXFT",
                short: "\n\tShifting to zkXFT"
            },
            {
                value: 'w',
                name: "\tREDEEM ZKXFT FOR XFT",
                short: "\n\tShifting back to XFT"
            },
            {
                value: 'exit',
                name: "\tEXIT\n",
            }
        ]
    }])

    serviceController.error = "";
    await commandController[answers.menu]();
    mainMenu();
}

mainMenu();